"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultSSLConfig = void 0;
/**
 * Default self signed certificates
 */
const pemFiles = {
    key: `-----BEGIN PRIVATE KEY-----
MIIEvAIBADANBgkqhkiG9w0BAQEFAASCBKYwggSiAgEAAoIBAQDlIvLzIUI2z+P9
JIiU+fM2ouomErpXP7iilQc9RX73by/5CDuiXmCuFvDd7ux8ttnd0oZ0aqhK0Y7j
J7egonyFsndReOFQvz3afeELLi8/vh7sG7TtOTg2MzCv6ZtxZqcjxMwjWxuxftA+
emVGAk8bLJ1MDXepnVIK9EqFdJdc0SIoL6A2jKlsP23kGvDeAWPjj4MlKTYSbIV4
PHl2LfrLmomW1CJOU58UQoMOxRQPG0ro5alFUSoIpyvEh/3rsKZxoU2HeESKBynw
SHM3E+IgALatfnmdMkq81s2gReshgUvY0aCdoeEpeITT7LJu7ol41GdtcgROeSbu
L2u/3ZHPAgMBAAECggEAVZCUetgrmr5NG+W9nywrd3aky2zo6tXfw8608lt2Sz3Z
Azzg0ARARCJK9gVXiEbb2qrYDLcbez0AB7F4L+MdbuuzBNiIAxg3J9Uj6YHooPwF
HhRGnuNkK1E4WCh7JIC533CI7pcCI2kAqKQaF2ebVMF3R8QrsEoQLgkFnwpnz3+Q
RZI/yw8M69NXACSCxbMwRH6Wt1Gr8ulJuRoIb420mSbRH5GsNUofsA+WfusVbU5H
DhaGXIu+3Uxpst5bWcbEhYD7nqmpH+nyvNtCAwX+Y9Exxc7oPlMZMXymlZLiAgEV
UpQDh8Wb7lEZbhmjFXmasd8bxMzP4v4X35ch5Ibw6QKBgQD0sSYs/N0ysG4sbNBb
QXJEnEAHNjYYMfDjhilN/3uu7VJGT1OlCNdykMVbyQUHcextMSaHmAUrf55TpyLn
GPyv/Hz4oZ4RjUZPRJmIGhb3NDNKDfYXacdpRBHvYb/YzQZTLu83I81vc0tCSlte
1tqb0uh77t8qrwHvqH9RWG8nNQKBgQDvucT+Iz0hc1AaBlq3JU9INBCNLwmChZQi
iwKS5Bn4B2CUoxijxuYjmW6g3t1zPOsJUDaAjZGq3HmhIabXc7BfJLy4ETKfwpeX
U/N3rbgwE9bSd3Y+me/24Nec1ROwuWRU1a3WHEphCdGWMB6ClNv5KQEV1D02k7f/
za9Vn+DBcwKBgHal118FFbTYe/Oqp7U4HNJL+XgFv2EoBigtC6Y4dZ6ykKxrFqH1
kZKJxEjnRjr/8KZZqNcizY70CK+DYZcxNIWZJnfg1iaonCkfmFq4W95uP1hvQJ7F
ud2/Ffs/KKlVcPWw0mmoQJsECsAQEhIAmGvqbrR5dVjbF1NAHsww12TpAoGAZWC3
WQ4H9RRx5H+Zb2g8zfkOotYofGUHD1CgJwSFouljw5fxfJlJi/Z/3VJCblBtyQN9
+QFlf887NJQpnWWUSbgcgu7q7Lr7JojfJlZ11QceyuSwQasR2uKc6/sEF7FfJ60x
laFjJwRi+NOio3BWUlkv105pEKKJpokSQ/CXuNcCgYAFpVfe2aY6ppz8gOYPM/q3
PLagdOszd7NYHVWesAVRD04wRkdLPD88/CsTBV93DDS/+cv0PcAgAiMR88AC9bU8
w2LjQUcO/RgKqHbgAd1eYxsuTXewRAAIcgfZIoN6o1KqdqYf+OfoRQCLHdUn4J3c
6GQcTr7vlSyqo1Ka3CxwFA==
-----END PRIVATE KEY-----
`,
    cert: `-----BEGIN CERTIFICATE-----
MIID9DCCAtygAwIBAgIJAJ+U0MLveo9hMA0GCSqGSIb3DQEBCwUAMFkxCzAJBgNV
BAYTAkFVMRMwEQYDVQQIEwpTb21lLVN0YXRlMSEwHwYDVQQKExhJbnRlcm5ldCBX
aWRnaXRzIFB0eSBMdGQxEjAQBgNVBAMTCWxvY2FsaG9zdDAeFw0xNzEwMTEyMDQ2
MDNaFw0yNzEwMDkyMDQ2MDNaMFkxCzAJBgNVBAYTAkFVMRMwEQYDVQQIEwpTb21l
LVN0YXRlMSEwHwYDVQQKExhJbnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQxEjAQBgNV
BAMTCWxvY2FsaG9zdDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAOUi
8vMhQjbP4/0kiJT58zai6iYSulc/uKKVBz1FfvdvL/kIO6JeYK4W8N3u7Hy22d3S
hnRqqErRjuMnt6CifIWyd1F44VC/Pdp94QsuLz++HuwbtO05ODYzMK/pm3FmpyPE
zCNbG7F+0D56ZUYCTxssnUwNd6mdUgr0SoV0l1zRIigvoDaMqWw/beQa8N4BY+OP
gyUpNhJshXg8eXYt+suaiZbUIk5TnxRCgw7FFA8bSujlqUVRKginK8SH/euwpnGh
TYd4RIoHKfBIczcT4iAAtq1+eZ0ySrzWzaBF6yGBS9jRoJ2h4Sl4hNPssm7uiXjU
Z21yBE55Ju4va7/dkc8CAwEAAaOBvjCBuzAdBgNVHQ4EFgQU3JyeXV9hwhj3A4gb
A46TGM+B7NkwgYsGA1UdIwSBgzCBgIAU3JyeXV9hwhj3A4gbA46TGM+B7NmhXaRb
MFkxCzAJBgNVBAYTAkFVMRMwEQYDVQQIEwpTb21lLVN0YXRlMSEwHwYDVQQKExhJ
bnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQxEjAQBgNVBAMTCWxvY2FsaG9zdIIJAJ+U
0MLveo9hMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQELBQADggEBAMl126I4hbRs
hq8DffxA5RBP1Y5EYdfGpZiWDErOHhxxix6ITqUB8G6vxG7ws+brQ6Cdvzf3kuz9
2M76Ruru25K2oFtCWoi7YK+LVmwv99d4FarqJEAzltBlFXYrscWpy8XdBfxPiu/k
HLP6Cf14E7rQeEN8Misy85KBOP37yoepGq1YtAg9aNQEl29rEQTQE4cSD+vVRMNG
f9orHuqQWMHJO4Zsxy4u6CVeSDWcFeZV8sqH+u+cPGAcDxQJMuXq049flYbdPCDd
wXdgCilAwjB30YTZAhur0B66bFZiOauIZPF3MdI85KgSrXO6HqF0OCo3019DL80x
DSy8hsBy1uo=
-----END CERTIFICATE-----
`
};
exports.DefaultSSLConfig = {
    key: pemFiles.key,
    cert: pemFiles.cert,
    ca: ''
};
//# sourceMappingURL=ssl.constants.js.map