"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemplateParser = void 0;
const handlebars_1 = require("handlebars");
const faker_wrapper_1 = require("./templating-helpers/faker-wrapper");
const helpers_1 = require("./templating-helpers/helpers");
const request_helpers_1 = require("./templating-helpers/request-helpers");
/**
 * Parse a content with Handlebars
 *
 * @param content
 * @param request
 */
const TemplateParser = function (content, request, environment) {
    try {
        return handlebars_1.compile(content)({}, {
            helpers: Object.assign(Object.assign(Object.assign({}, faker_wrapper_1.FakerWrapper), request_helpers_1.RequestHelpers(request, environment)), helpers_1.Helpers)
        });
    }
    catch (error) {
        throw error;
    }
};
exports.TemplateParser = TemplateParser;
//# sourceMappingURL=template-parser.js.map